Duplicates a dashboard panel
curl --request POST \
--url https://api.rootly.com/v1/dashboard_panels/{id}/duplicate \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "f9a69c9b-0a00-4903-afdb-1f91f5da7d91",
"type": "dashboard_panels",
"attributes": {
"dashboard_id": "a9fd8153-e513-4c8b-9811-8ca5210c9e10",
"name": "Copy of Test panel",
"params": {
"display": "line_chart",
"datasets": [
{
"collection": "incidents",
"filter": [],
"aggregate": {
"operation": "count",
"key": "results",
"cumulative": false
}
}
]
},
"position": null,
"created_at": "2026-01-21T11:17:11.609-08:00",
"updated_at": "2026-01-21T11:17:11.609-08:00",
"data": [
{
"name": "Incidents",
"color": null,
"data": {
"2026-01-14": 0,
"2026-01-15": 0,
"2026-01-16": 0,
"2026-01-17": 0,
"2026-01-18": 0,
"2026-01-19": 0,
"2026-01-20": 0,
"2026-01-21": 0
}
}
]
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/dashboard_panels/{id}/duplicate \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "f9a69c9b-0a00-4903-afdb-1f91f5da7d91",
"type": "dashboard_panels",
"attributes": {
"dashboard_id": "a9fd8153-e513-4c8b-9811-8ca5210c9e10",
"name": "Copy of Test panel",
"params": {
"display": "line_chart",
"datasets": [
{
"collection": "incidents",
"filter": [],
"aggregate": {
"operation": "count",
"key": "results",
"cumulative": false
}
}
]
},
"position": null,
"created_at": "2026-01-21T11:17:11.609-08:00",
"updated_at": "2026-01-21T11:17:11.609-08:00",
"data": [
{
"name": "Incidents",
"color": null,
"data": {
"2026-01-14": 0,
"2026-01-15": 0,
"2026-01-16": 0,
"2026-01-17": 0,
"2026-01-18": 0,
"2026-01-19": 0,
"2026-01-20": 0,
"2026-01-21": 0
}
}
]
}
}
}